#!/bin/bash

if [ -z ${1} ] ; then
  OUTFILE=cass_version.h
else
  OUTFILE=${1}
fi
INCLUDEGUARD=_CASS_VERSION

unset GIT_DIR
unset GIT_WORK_TREE
VERSION=$(git describe --abbrev=4)

if [ -f ${OUTFILE} ] && [ $(cat ${OUTFILE} | grep ${VERSION} | wc -l) -eq 1 ]; then
  echo "${OUTFILE} does contain the latest information."
else
  echo "Generating ${OUTFILE} for VERSION: v${VERSION}"
  echo " /* this file is auto generated by the update-version.sh script */

/**
 * @file cass_version.h auto generated file containing the cass version derived
 *                      from git tags and commit id
 */

#ifndef ${INCLUDEGUARD}
#define ${INCLUDEGUARD}

#include <string>

namespace cass
{
  const std::string VERSION(\"v${VERSION}\");
}

#endif" > ${OUTFILE}
fi
